# $Revision: 1.14 $, $Date: 2005/12/06 10:39:57 $
Summary:	Toolchain to create panoramic images
Summary(pl):	Zestaw narzdzi do tworzenia panoramicznych zdj
Name:		hugin
Version:	0.5
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://dl.sourceforge.net/hugin/%{name}-%{version}.tar.gz
# Source0-md5:	18b38f5d6744831567b7fabfedb643fd
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-defaults.patch
URL:		http://hugin.sf.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	boost-any-devel
BuildRequires:	boost-ref-devel
BuildRequires:	boost-test-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.0.3
BuildRequires:	libjpeg-devel
BuildRequires:	libpano12-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	sed >= 4.0
BuildRequires:	wxGTK2-devel >= 2.6.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With hugin you can assemble a mosaic of photographs into a complete
immensive panorama, stitch any series of overlapping pictures and much
more.
 
Note: Hugin can use autopano-sift package to match images and enblend
package for soft blending, so you'll probably want to install them
too.

%description -l pl
Przy uyciu hugina mona poczy wiele fotografii w kompletn, du
panoram, sklei dowolny cig nakadajcych si zdj i wiele wicej.

Hugin moe uywa pakietu autopano-shift do dopasowania zdj oraz
pakiet enblend do wygadzenia krawdzi po czeniu - wic warto te
pakiety take zainstalowa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's,ac_boost_libdir=.*/lib.*,ac_boost_libdir=/usr/%{_lib},' m4/ax_check_boost.m4

# to rebuild pl.gmo
rm -f src/hugin/po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-wx-config=wx-gtk2-ansi-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# "hugin" and "nona_gui" domains
%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog LICENCE_JHEAD LICENCE_VIGRA NEWS README TODO
%attr(755,root,root) %{_bindir}/autooptimiser
%attr(755,root,root) %{_bindir}/hugin
%attr(755,root,root) %{_bindir}/nona
%attr(755,root,root) %{_bindir}/nona_gui
%attr(755,root,root) %{_bindir}/zhang_undistort
%{_datadir}/%{name}
%{_datadir}/mime/packages/hugin.xml
%{_desktopdir}/hugin.desktop
%{_iconsdir}/gnome/*/mimetypes/*.png
%{_pixmapsdir}/hugin.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hugin.spec,v $
Revision 1.14  2005/12/06 10:39:57  qboosh
- updated to final 0.5, updated pl.po-update,defaults patches

Revision 1.13  2005/09/23 14:03:14  qboosh
- updated to 0.5-rc2
- updated pl.po-update,defaults patches, removed obsolete break,am patches

Revision 1.12  2005/05/18 23:12:31  qboosh
- updated to 0.5_rc1, updated pl.po-update,am patches, removed obsolete imgs patch

Revision 1.11  2005/05/15 21:08:27  qboosh
- updated to 0.5-beta6, updated pl.po-update patch, added am patch

Revision 1.10  2005/05/15 20:06:21  qboosh
- added break,imgs patches (for minor bugs); major crash still exists

Revision 1.9  2005/05/13 20:20:19  qboosh
- remove stamp-po to rebuild pl.gmo

Revision 1.8  2005/05/12 21:51:31  qboosh
- updated to 0.5-beta5, removed obsolete cvs patch, updated pl.po-update patch

Revision 1.7  2005/05/01 01:07:47  qboosh
- release .3

Revision 1.6  2005/05/01 00:43:57  qboosh
- BR: boost-ref-devel (<boost/ref.hpp> used)

Revision 1.5  2005/05/01 00:37:48  qboosh
- hack boost_libdir to be lib64-aware; BR: boost-any-devel for configure checks

Revision 1.4  2005/04/30 22:48:57  qboosh
- added cvs patch, updated pl.po-update patch, release .2 (works with wx 2.6.0)

Revision 1.3  2005/04/03 19:56:15  qboosh
- it suggests autopano-sift and enblend

Revision 1.2  2005/04/03 19:21:02  qboosh
- more pl.po fixes, added defaults patch

Revision 1.1  2005/04/03 00:17:18  qboosh
- new
